#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2007 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: BaseConverterOptionsControl.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 1  *****************
	User: Bill         Date: 3/12/07    Time: 10:50a
	Created in $/CSharp/MeneesVSTools/2005
	Updated to v1.1.

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using EnvDTE;
using EnvDTE80;

#endregion

namespace Menees.VSTools
{
	public partial class BaseConverterOptionsControl : UserControl, IDTToolsOptionsPage
	{
		#region Constructors

		public BaseConverterOptionsControl()
		{
			InitializeComponent();
		}

		#endregion

		#region IDTToolsOptionsPage Members

		public void GetProperties(ref object PropertiesObject)
		{
			//We're not using VS to manage our properties.
			PropertiesObject = null;
		}

		public void OnAfterCreated(DTE DTEObject)
		{
			chkNumTrimZeros.Checked = Settings.Default.NumberTrimLeadingZerosNumeric;
			chkEndianTrimZeros.Checked = Settings.Default.NumberTrimLeadingZerosEndian;
			chkSpaceSeparators.Checked = Settings.Default.NumberUseSpaceSeparators;
			chkUseDecimalNumFmt.Checked = Settings.Default.NumberUseSystemNumberFmtForDecimal;
		}

		public void OnCancel()
		{
			//Do nothing.
		}

		public void OnHelp()
		{
			Utilities.OpenDocument("MeneesVSTools.doc", true);
		}

		public void OnOK()
		{
			Settings.Default.NumberTrimLeadingZerosNumeric = chkNumTrimZeros.Checked;
			Settings.Default.NumberTrimLeadingZerosEndian = chkEndianTrimZeros.Checked;
			Settings.Default.NumberUseSpaceSeparators = chkSpaceSeparators.Checked;
			Settings.Default.NumberUseSystemNumberFmtForDecimal = chkUseDecimalNumFmt.Checked;
		}

		#endregion
	}
}
