#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: GeneralStringComparer.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Menees.VSTools
{
	class GeneralStringComparer : IComparer<string>
	{
		#region Constructors

		public GeneralStringComparer(bool bCaseSensitive, bool bCompareOrdinal, bool bAscending, bool bIgnoreWS)
		{
			m_bCaseSensitive = bCaseSensitive;
			m_bCompareOrdinal = bCompareOrdinal;
			m_bAscending = bAscending;
			m_bIgnoreWS = bIgnoreWS;
		}

		#endregion

		#region IComparer<string> Members

		public int Compare(string strX, string strY)
		{
			if (m_bIgnoreWS)
			{
				strX = strX.Trim();
				strY = strY.Trim();
			}

			int iResult = 0;
			if (m_bCompareOrdinal)
			{
				if (!m_bCaseSensitive)
				{
					strX = strX.ToUpper();
					strY = strY.ToUpper();
				}

				//This behaves like good old strcmp().
				iResult = String.CompareOrdinal(strX, strY);
			}
			else
			{
				//This behaves like the CompareString() Windows API call.
				//It does a "word sort".
				iResult = String.Compare(strX, strY, !m_bCaseSensitive);
			}

			if (!m_bAscending)
			{
				iResult = -iResult;
			}

			return iResult;
		}

		#endregion

		#region Private Data Members

		private bool m_bCaseSensitive;
		private bool m_bCompareOrdinal;
		private bool m_bAscending;
		private bool m_bIgnoreWS;

		#endregion
	}
}
