#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: RegionsOptionsControl.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 3  *****************
	User: Bill         Date: 5/08/05    Time: 10:07a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 2  *****************
	User: Bill         Date: 5/08/05    Time: 9:33a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using EnvDTE;

#endregion

namespace Menees.VSTools
{
	public partial class RegionsOptionsControl : UserControl, IDTToolsOptionsPage
	{
		#region Constructors

		public RegionsOptionsControl()
		{
			InitializeComponent();
		}

		#endregion

		#region IDTToolsOptionsPage Members

		public void OnCancel()
		{
			//Do nothing.
		}

		public void GetProperties(ref object PropertiesObject)
		{
			//We're not using VS to manage our properties.
			PropertiesObject = null;
		}

		public void OnAfterCreated(DTE DTEObject)
		{
			string[] arRegions = Settings.Default.SplitPredefinedRegions();
			txtRegions.Lines = arRegions;
		}

		public void OnOK()
		{
			Settings.Default.BuildPredefinedRegions(txtRegions.Lines);
		}

		public void OnHelp()
		{
			Utilities.OpenDocument("MeneesVSTools.doc", true);
		}

		#endregion

		#region Private Methods

		private void txtRegions_KeyDown(object sender, KeyEventArgs e)
		{
			if (e.Alt && e.KeyCode == Keys.Enter)
			{
				txtRegions.SelectedText = "\r\n";
			}
		}

		#endregion
	}
}
