#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: Settings.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 4  *****************
	User: Bill         Date: 10/30/05   Time: 1:13p
	Updated in $/CSharp/MeneesVSTools/2005
	Updated for VS2005 RTM.
	
	*****************  Version 3  *****************
	User: Bill         Date: 8/02/05    Time: 7:28p
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 2  *****************
	User: Bill         Date: 5/08/05    Time: 9:33a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Xml;
using System.Configuration;
using System.Text;

#endregion

namespace Menees.VSTools
{
    internal sealed partial class Settings
	{
		#region Public Methods

		public string[] SplitPredefinedRegions()
		{
			string strRegions = PredefinedRegions;
			if (strRegions == null) strRegions = "";
			string[] arPredefinedRegions = strRegions.Split(new char[] { '\r', '\n' }, StringSplitOptions.RemoveEmptyEntries);
			return arPredefinedRegions;
		}

		public void BuildPredefinedRegions(string[] arRegions)
		{
			StringBuilder SB = new StringBuilder(arRegions.Length * 40);
			foreach (string strRegion in arRegions)
			{
				string strTrimmedRegion = strRegion.Trim();
				if (strTrimmedRegion.Length > 0)
				{
					if (SB.Length > 0)
					{
						SB.Append("\r\n");
					}

					SB.Append(strTrimmedRegion);
				}
			}
			PredefinedRegions = SB.ToString();
		}

		#endregion
	}
}
