#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: StatisticsDlg.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 3  *****************
	User: Bill         Date: 5/08/05    Time: 10:07a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 2  *****************
	User: Bill         Date: 5/08/05    Time: 9:33a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace Menees.VSTools
{
	public partial class StatisticsDlg : Form
	{
		#region Constructors

		public StatisticsDlg()
		{
			InitializeComponent();
		}

		#endregion

		#region Public Methods

		public void Execute(string strText)
		{
			int iLineCount = 0;
			int iCharCount = 0;
			//Make an array large enough to hold all of the Unicode character set.
			int[] arChars = new int[65536];

			//Process the text.
			if (!Utilities.IsEmpty(strText))
			{
				//The line counting scheme is very simplistic:
				//1. Add 1 for every linefeed character we see.
				//2. Add 1 more unless the last char was a linefeed.
				char chPrev = '\n';
				foreach (char ch in strText)
				{
					iCharCount++;
					arChars[ch]++;

					if (ch == '\n')
					{
						iLineCount++;
					}

					chPrev = ch;
				}

				if (chPrev != '\n')
				{
					iLineCount++;
				}
			}

			//Display the results
			string strSuffix = iCharCount == 1 ? "" : "s";
			lblLength.Text = String.Format("{0} character{1}", iCharCount, strSuffix);
			lblLines.Text = iLineCount.ToString();
			for (int i = 0; i < arChars.Length; i++)
			{
				if (arChars[i] > 0)
				{
					string strNumber = string.Format("{0}", i);
					ListViewItem Item = lstCharacters.Items.Add(strNumber); //Decimal Number
					strNumber = string.Format("0x{0:X}", i);
					Item.SubItems.Add(strNumber);
					Item.SubItems.Add(((char)i).ToString()); //Character
					Item.SubItems.Add(arChars[i].ToString()); //Times
				}
			}

			ShowDialog();
		}

		#endregion
	}
}