#region Copyright And Revision History

/*---------------------------------------------------------------------------

	Copyright  2005 Bill Menees.  All rights reserved.
	Bill@Menees.com

	$History: TrimDlg.cs $
	
	*****************  Version 1  *****************
	User: Bill         Date: 11/28/07   Time: 9:23p
	Created in $/CSharp/MeneesVSTools/2008
	
	*****************  Version 2  *****************
	User: Bill         Date: 5/08/05    Time: 10:07a
	Updated in $/CSharp/MeneesVSTools/2005
	
	*****************  Version 1  *****************
	User: Bill         Date: 5/01/05    Time: 9:57a
	Created in $/CSharp/MeneesVSTools/2005

-----------------------------------------------------------------------------*/

#endregion

#region Using Directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace Menees.VSTools
{
	public partial class TrimDlg : Form
	{
		#region Constructors

		public TrimDlg()
		{
			InitializeComponent();
		}

		#endregion

		#region Public Methods

		public bool Execute()
		{
			chkShiftOnly.Checked = Settings.Default.TrimDlgOnlyWhenShift;
			chkTrimLeft.Checked = Settings.Default.TrimLeft;
			chkTrimRight.Checked = Settings.Default.TrimRight;
			UpdateControlStates();

			if (ShowDialog() == DialogResult.OK)
			{
				Settings.Default.TrimDlgOnlyWhenShift = chkShiftOnly.Checked;
				Settings.Default.TrimLeft = chkTrimLeft.Checked;
				Settings.Default.TrimRight = chkTrimRight.Checked;
				return true;
			}

			return false;
		}

		#endregion

		#region Private Methods

		private void chkTrimLeft_CheckedChanged(object sender, EventArgs e)
		{
			UpdateControlStates();
		}

		private void chkTrimRight_CheckedChanged(object sender, EventArgs e)
		{
			UpdateControlStates();
		}

		private void UpdateControlStates()
		{
			btnOK.Enabled = chkTrimLeft.Checked || chkTrimRight.Checked;
		}

		#endregion
	}
}